<?php
class MDC
{
	private $sql;
	public $qry;
	public $qry_ver;
	private $id_empresa;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
	}

	private function execulta()
	{
		$mysqlCom = new MysqlConnect();
		$this->qry = mysqli_query($mysqlCom->connect(), $this->sql);
	}


	public function RecebidoDiarioAnalitico($data)
	{
		$this->sql = "
						select d.nome, a.data, a.valor, a.id_tipo_pagamento, a.nome_caixa, 
						b.descricao, c.banco, c.agencia, c.conta, c.num_cheque, c.data_vencimento
						from tipo_pagamento b, evento_pagamento a left join evento_cheque c 
						on a.id_evento_pagamento = c.id_evento_pagamento,
						evento d
						where d.id_evento = a.id_evento 
						and a.id_tipo_pagamento = b.id_tipo_pagamento
						and a.id_empresa = $this->id_empresa
						and a.data = '$data'
						order by b.descricao, c.data_vencimento
						";
		$this->execulta();
	}


	public function PagamentoVencidos()
	{
		$Data = date('Y/m/d');
		$this->sql = "select c.nome, c.id_evento, a.data, a.valor, b.descricao
							from evento_recebimento a, tipo_pagamento b, evento c
							where a.tipo_pagamento = b.id_tipo_pagamento
							and c.id_evento = a.id_evento
							and a.data < '$Data'
							and a.id_empresa = $this->id_empresa
							and a.pendencia = '0'
							order by c.nome, a.data";
		$this->execulta();
	}


	public function EventoComPendenciasFinanceiras() {}

	public function RecebidoDia($data)
	{
		$this->sql = "SELECT distinct(id_tipo_pagamento), sum(valor) as valor 
						FROM evento_pagamento 
						where data = '$data'
						and id_empresa = $this->id_empresa
						group by id_tipo_pagamento";
		$this->execulta();
	}

	public function VencimentoCheque($DtInicial, $DtFinal)
	{
		$this->sql = "SELECT a.id_evento, a.banco, a.agencia, a.conta, a.num_cheque, a.data_vencimento, b.nome, c.valor 
							FROM evento_cheque a, cliente_cheque b, evento_pagamento c
							where b.id_cliente_cheque = a.id_cliente_cheque
							and c.id_evento_pagamento = a.id_evento_pagamento
							and a.data_vencimento between '$DtInicial' and '$DtFinal'
							and a.id_empresa = $this->id_empresa
							order by a.data_vencimento, c.valor";
		$this->execulta();
	}
}
